#include <IRremote.hpp>
#include "PinDefinitionsAndMore.h"


#define KEY_D0    4
#define KEY_D3    7
#define LED       13

#define IR_ADDRESS      0xDF20
#define IR_POWER        0x0B
#define IR_SCR          0x1E
#define IR_UP           0x47
#define IR_DOWN         0x4D
#define IR_LEFT         0x49
#define IR_RIGHT        0x4B
#define IR_OK           0x4A

//------------------------------------------------------------------------------------

byte keyhit(void) {
  for (int pin = KEY_D0; pin <= KEY_D3; pin += 1) {
    pinMode(pin, INPUT);
  }

  byte data = 0;
  for (int pin = KEY_D3; pin >= KEY_D0; pin -= 1) {
    data = (data << 1) + digitalRead(pin);
  }
  return data;
}
//------------------------------------------------------------------------------------
void setup() {
  // put your setup code here, to run once:
  IrSender.begin(IR_SEND_PIN, ENABLE_LED_FEEDBACK);
  pinMode(LED, OUTPUT);
/*  Serial.begin(9600);
  while (!Serial){
    ;
  }*/
}



void loop() {
  //   put your main code here, to run repeatedly:
  byte key = keyhit();
//  Serial.println(key);
  switch (key)
  {
    case 0x00:
//    Serial.print("NO KEY PRESED");
//    IrSender.sendNEC(sAddress, sCommand, sRepeats);
    break;
    
    case 0x01:
//    Serial.print("POWER ");
    IrSender.sendNEC(IR_ADDRESS, IR_POWER, 1);
    digitalWrite(LED, LOW);
    break;

    case 0x02:
//    Serial.print("SOURCE ");
    IrSender.sendNEC(IR_ADDRESS, IR_SCR, 1);
    digitalWrite(LED, HIGH);
    break;

    case 0x04:
//    Serial.print("UP ");
    IrSender.sendNEC(IR_ADDRESS, IR_UP, 1);
    digitalWrite(LED, HIGH);
    break;

    case 0x08:
//    Serial.print("DOWN ");
    IrSender.sendNEC(IR_ADDRESS, IR_DOWN, 1);
    digitalWrite(LED, HIGH);
    break;

    case 0x0F:
//    Serial.print("SELECT ");
    IrSender.sendNEC(IR_ADDRESS, IR_OK, 1);
    digitalWrite(LED, HIGH);
    break;
  }
}
